Subject: Re: [PATCH net-next] selftests: net: py: add test case filtering and listing

From: Jakub Kicinski <[email-masked]>
Date: Thu, 9 Apr 2026 07:56:17 -0700

On Thu, 9 Apr 2026 05:41:59 -0700 Breno Leitao wrote:
> > +                print(f"Usage: {sys.argv[0]} [-h|-l] [-t|-T name]\n"
> > +                      f"\t-h       print help\n"
> > +                      f"\t-l       list all tests\n"  
> 
> I initially expected the help text to mention "(all or filtered)" based
> on the commit message, but since this option lists all tests
> unconditionally, the current wording is correct.

Ugh, good catch. Not sure how I lost this. It does display a filtered
list. I wanted the filtering to take effect so that one can see what
tests would have been executed with the filters without running them.
Sort of like a --dry-run.

LMK if you have any thoughts on this, otherwise I'll rephrase as:

	 f"\t-l       list tests (filtered, if filters were specified)\n" 
-- 
pw-bot: cr